/// <reference types="react" />
import { FormControlLabelProps, RadioGroupProps } from "@mui/material";
import { LabeledValue } from "../../inputTypes";
import { BaseInputProps } from "../BaseInputProps";
export interface InputRadioProps {
    selectableOptions: LabeledValue[];
    formControlLabelProps?: Omit<FormControlLabelProps, "control" | "label" | "value">;
    radioGroupProps?: RadioGroupProps;
}
/**
 * Input for selecting between a list of options using radio buttons.
 */
export declare const InputRadio: ({ formField, selectableOptions, formControlLabelProps, radioGroupProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputRadioProps>) => JSX.Element;
