/// <reference types="react" />
import { BaseInputProps } from "../BaseInputProps";
import { InputSelectFromEnumProps } from "./InputSelectFromEnumInterfaces";
/**
 * Renders a MUI select based on an enum that is embedded in a react hook form context.
 */
export declare const InputSelectFromEnum: <EnumType extends Record<string, string>>(props: BaseInputProps<InputSelectFromEnumProps<EnumType>>) => JSX.Element;
