import { TranslatedString } from "../../TranslatedString";
import { InputSelectProps } from "../InputSelect/InputSelect";
export interface InputSelectFromEnumProps<EnumType> extends Omit<InputSelectProps, "selectableOptions"> {
    enumData: EnumSelectData<EnumType>;
}
export interface EnumSelectData<EnumType> {
    enumToUse: EnumType;
    labelsForEnum: Record<keyof EnumType, TranslatedString | string>;
}
