/// <reference types="react" />
import { SliderProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputSliderProps {
    sliderProps?: Omit<SliderProps, "required" | "label">;
}
/**
 * Renders a MUI input text fields that is embedded in a react
 * hook form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputSlider: ({ formField, sliderProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputSliderProps>) => JSX.Element | null;
