import { getFormErrorForNestedKeys } from "./getFormErrorForNestedKeys";
/**
 * Returns the error for a given field name.
 *
 * @throws Error when FormContext is null.
 */
export declare const useFormFieldError: (fieldName: string) => ReturnType<typeof getFormErrorForNestedKeys>;
