import { TFunction } from "i18next";
import { TranslatedString } from "../TranslatedString";
/**
 * Return a function which turns our TranslatedString into a plain string.
 *
 * @throws Error if no t was provided but a translated string.
 */
export declare const useTranslateString: () => (input: TranslatedString | string, t?: TFunction) => string;
