/// <reference types="react" />
import { TextFieldProps } from "@mui/material";
import { BaseInputProps } from "../baseTypes/BaseInputProps";
export interface InputEmailProps {
    textFieldProps?: TextFieldProps;
}
/**
 * Renders a MUI input for an email address that is embedded in a react hook form context.
 */
export declare const InputEmail: (props: BaseInputProps<InputEmailProps>) => JSX.Element;
