import { TextFieldProps } from "@mui/material";
import { FormField } from "../inputTypes";
export interface InputPasswordSetProps {
    /**
     * Partial entry, assuming by default a "password"-named field.
     */
    passwordField: FormField;
    passwordTextFieldProps?: TextFieldProps;
    /**
     * Partial entry, assuming by default a "passwordConfirmation"-named field.
     */
    passwordValidationField: FormField;
    passwordValidationTextFieldProps?: TextFieldProps;
    /**
     * Error that is displayed when the passwords do not match.
     */
    doNotMatchError: string;
}
