/// <reference types="react" />
import { BaseInputProps } from "../BaseInputProps";
import { InputAutocompleteProps } from "./InputAutocompleteInterfaces";
/**
 * Renders a MUI autocomplete input that is embedded in a react hook form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputAutocomplete: <T, Multiple extends boolean | undefined = false, DisableClearable extends boolean | undefined = false, FreeSolo extends boolean | undefined = false, ChipComponent extends import("react").ElementType<any> = "div">({ formField, selectableOptions, noOptions, autoCompleteProps, checkboxesForMultiselect: renderCheckboxes, groupSorting, inputTextFieldProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputAutocompleteProps<T, Multiple, DisableClearable, FreeSolo, ChipComponent>>) => JSX.Element;
