/// <reference types="react" />
import { FormControlLabelProps, SwitchProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputSwitchProps {
    switchProps?: Omit<SwitchProps, "checked">;
    formControlLabelProps?: Omit<FormControlLabelProps, "control" | "label">;
}
/**
 * Input for Checking a box indicating acceptance of something.
 */
export declare const InputSwitch: ({ formField, switchProps, formControlLabelProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputSwitchProps>) => JSX.Element;
