/// <reference types="react" />
import { FormControlLabelProps, ToggleButtonProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputToggleButtonProps {
    toggleButtonProps?: Omit<ToggleButtonProps, "children" | "value">;
    formControlLabelProps?: Omit<FormControlLabelProps, "control" | "label">;
    children: React.ReactNode;
}
/**
 * Input Toggle button.
 */
export declare const InputToggleButton: ({ formField, toggleButtonProps, formControlLabelProps, children, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputToggleButtonProps>) => JSX.Element;
