/// <reference types="react" />
import { FormHelperTextProps } from "@mui/material";
/**
 * Renders field errors in an opinionated way.
 *
 * @throws Error when FormContext is null.
 */
export declare const FormFieldError: ({ fieldName, formHelperTextProps, }: {
    fieldName: string;
    formHelperTextProps?: FormHelperTextProps<"p", {}> | undefined;
}) => JSX.Element | null;
