/// <reference types="react" />
import { FormHelperTextProps } from "@mui/material";
import { FieldError } from "react-hook-form";
/**
 * Renders field errors in an opinionated way.
 *
 */
export declare const FormFieldErrorDisplay: ({ error, formHelperTextProps, }: {
    error: FieldError | FieldError[] | undefined;
    formHelperTextProps?: FormHelperTextProps<"p", {}> | undefined;
}) => JSX.Element | null;
