import { FieldValues } from "react-hook-form";
import { FormReturn } from "./useHookForm";
/**
 * Wrapper around react-hook-form's useFormContext.
 *
 * Should behave like the original function, only exposing a "fieldName"
 *  function on top which is used to validate field names.
 */
export declare const useHookFormContext: <TFieldValues extends FieldValues>() => FormReturn<TFieldValues>;
